<?php

add_action( 'admin_menu', 'architecture_building_gettingstarted' );
function architecture_building_gettingstarted() {
	add_theme_page( esc_html__('Theme Documentation', 'architecture-building'), esc_html__('Theme Documentation', 'architecture-building'), 'edit_theme_options', 'architecture-building-guide-page', 'architecture_building_guide');
}

function architecture_building_admin_theme_style() {
   wp_enqueue_style('architecture-building-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/dashboard.css');
}
add_action('admin_enqueue_scripts', 'architecture_building_admin_theme_style');

if ( ! defined( 'ARCHITECTURE_BUILDING_SUPPORT' ) ) {
define('ARCHITECTURE_BUILDING_SUPPORT',__('https://wordpress.org/support/theme/architecture-building/','architecture-building'));
}
if ( ! defined( 'ARCHITECTURE_BUILDING_REVIEW' ) ) {
define('ARCHITECTURE_BUILDING_REVIEW',__('https://wordpress.org/support/theme/architecture-building/reviews/','architecture-building'));
}
if ( ! defined( 'ARCHITECTURE_BUILDING_LIVE_DEMO' ) ) {
define('ARCHITECTURE_BUILDING_LIVE_DEMO',__('https://www.ovationthemes.com/demos/architecture-building/','architecture-building'));
}
if ( ! defined( 'ARCHITECTURE_BUILDING_BUY_PRO' ) ) {
define('ARCHITECTURE_BUILDING_BUY_PRO',__('https://www.ovationthemes.com/wordpress/architecture-building-wordpress-theme/','architecture-building'));
}
if ( ! defined( 'ARCHITECTURE_BUILDING_PRO_DOC' ) ) {
define('ARCHITECTURE_BUILDING_PRO_DOC',__('https://www.ovationthemes.com/docs/ot-architecture-building-pro-doc','architecture-building'));
}
if ( ! defined( 'ARCHITECTURE_BUILDING_THEME_NAME' ) ) {
define('ARCHITECTURE_BUILDING_THEME_NAME',__('Premium Architecture Theme','architecture-building'));
}

/**
 * Theme Info Page
 */
function architecture_building_guide() {

	// Theme info
	$architecture_building_return = add_query_arg( array()) ;
	$architecture_building_theme = wp_get_theme( '' ); ?>

	<div class="getting-started__header">
		<div class="col-md-10">
			<h2><?php echo esc_html( $architecture_building_theme ); ?></h2>
			<p><?php esc_html_e('Version: ', 'architecture-building'); ?><?php echo esc_html($architecture_building_theme['Version']);?></p>
		</div>
		<div class="col-md-2">
			<div class="btn_box">
				<a class="button-primary" href="<?php echo esc_url( ARCHITECTURE_BUILDING_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support', 'architecture-building'); ?></a>
				<a class="button-primary" href="<?php echo esc_url( ARCHITECTURE_BUILDING_REVIEW ); ?>" target="_blank"><?php esc_html_e('Review', 'architecture-building'); ?></a>
			</div>
		</div>
	</div>

	<div class="wrap getting-started">
		<div class="container">
			<div class="col-md-9">
				<div class="leftbox">
					<h3><?php esc_html_e('Documentation','architecture-building'); ?></h3>
					<p><?php esc_html_e('To step the architecture theme follow the below steps.','architecture-building'); ?></p>

					<h4><?php esc_html_e('1. Setup Logo','architecture-building'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Site Identity >> Upload your logo or Add site title and site description.','architecture-building'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','architecture-building'); ?></a>

					<h4><?php esc_html_e('2. Setup Contact Info','architecture-building'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Contact info >> Add your phone number and email address.','architecture-building'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=architecture_building_top') ); ?>" target="_blank"><?php esc_html_e('Add Contact Info','architecture-building'); ?></a>

					<h4><?php esc_html_e('3. Setup Menus','architecture-building'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Menus >> Create Menus >> Add pages, post or custom link then save it.','architecture-building'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Add Menus','architecture-building'); ?></a>

					<h4><?php esc_html_e('4. Setup Social Icons','architecture-building'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Social Media >> Add social links.','architecture-building'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=architecture_building_urls') ); ?>" target="_blank"><?php esc_html_e('Add Social Icons','architecture-building'); ?></a>

					<h4><?php esc_html_e('5. Setup Footer','architecture-building'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Widgets >> Add widgets in footer 1, footer 2, footer 3, footer 4. >> ','architecture-building'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widgets','architecture-building'); ?></a>

					<h4><?php esc_html_e('5. Setup Footer Text','architecture-building'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Footer Text >> Add copyright text. >> ','architecture-building'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=architecture_building_footer_copyright') ); ?>" target="_blank"><?php esc_html_e('Footer Text','architecture-building'); ?></a>

					<h3><?php esc_html_e('Setup Home Page','architecture-building'); ?></h3>
					<p><?php esc_html_e('To step the home page follow the below steps.','architecture-building'); ?></p>

					<h4><?php esc_html_e('1. Setup Page','architecture-building'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Pages >> Add New Page >> Select "Custom Home Page" from templates. >> Publish it.','architecture-building'); ?></p>
					<a class="dashboard_add_new_page button-primary"><?php esc_html_e('Add New Page','architecture-building'); ?></a>

					<h4><?php esc_html_e('2. Setup Slider','architecture-building'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Post >> Add New Post >> Add title, content and featured image >> Publish it.','architecture-building'); ?></p>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Slider Settings >> Select post.','architecture-building'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=architecture_building_slider_section') ); ?>" target="_blank"><?php esc_html_e('Add Slider','architecture-building'); ?></a>

					<h4><?php esc_html_e('3. Setup Services','architecture-building'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Post >> Add New Post >> Add title, content and featured image >> Publish it.','architecture-building'); ?></p>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Services Settings >> Select post','architecture-building'); ?></p>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Services Settings >> Add Fontawesome icons classes ex: fas fa-envelope','architecture-building'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=architecture_building_services_section') ); ?>" target="_blank"><?php esc_html_e('Add Services Post','architecture-building'); ?></a>
				</div>
          	</div>
			<div class="col-md-3">
				<h3><?php echo esc_html(ARCHITECTURE_BUILDING_THEME_NAME); ?></h3>
				<img class="architecture_building_img_responsive" style="width: 100%;" src="<?php echo esc_url( $architecture_building_theme->get_screenshot() ); ?>" />
				<div class="pro-links">
					<hr>
			    	<a class="button-primary livedemo" href="<?php echo esc_url( ARCHITECTURE_BUILDING_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'architecture-building'); ?></a>
					<a class="button-primary buynow" href="<?php echo esc_url( ARCHITECTURE_BUILDING_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Buy Now', 'architecture-building'); ?></a>
					<a class="button-primary docs" href="<?php echo esc_url( ARCHITECTURE_BUILDING_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation', 'architecture-building'); ?></a>
					<hr>
				</div>
				<ul style="padding-top:10px">
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Boxed or fullwidth layout', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Shortcode Support', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Designed with HTML5 and CSS3', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Customizable Design & Code', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Stylish Custom Widgets', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Patterns Background', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Live Customizer', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('AMP Ready', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Clean Code', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'architecture-building');?> </li>
					<li class="upsell-architecture_building"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'architecture-building');?> </li>
				</ul>
        	</div>
		</div>
	</div>

<?php }?>
